[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Remove

Remove the item from the list

## Declaration

Source position: fgl.pp line 89

`public function TFPSList.Remove(`
`Item: Pointer`
`):Integer;`

## Arguments

`Item` |  | Removed item

## Function result

Index of removed item

## Description

Remove searches Item in the list, and deletes it from the list. It returns the index of the item that was removed, or -1 if it was not found. Only the first match is removed.

If a descendent of TFPSList owns the object of the list, the item is removed from memory. If this is not desired, then TFPSList.Extract must be used instead.

## See also

TFPSList.Extract |  | delete an element from the list
TFPSList.IndexOf |  | Search an item in the list